<?php


// Include your database connection configuration
include 'db_connection.php';

// Check if required parameters are set
if(isset($_POST['email'], $_POST['old_password'], $_POST['new_password'])) {
    $username = $_POST['email'];
    $old_password = $_POST['old_password'];
    $new_password = $_POST['new_password'];

    // Hash the new password
    $hashed_password = password_hash($new_password, PASSWORD_DEFAULT);

    // Check if old password matches
    $stmt = $conn->prepare("SELECT password FROM users WHERE email = ?");
    $stmt->bind_param("s", $username);
    $stmt->execute();
    $result = $stmt->get_result();
    $row = $result->fetch_assoc();
    if(password_verify($old_password, $row['password'])) {
        // Update the password
        $update_stmt = $conn->prepare("UPDATE users SET password = ? WHERE email = ?");
        $update_stmt->bind_param("ss", $hashed_password, $username);
        if($update_stmt->execute()) {
            echo "Password changed successfully";
        } else {
            echo "Failed to change password";
        }
    } else {
        echo "Incorrect old password";
    }
} else {
    echo "Missing parameters";
}

?>
